package monnethic.mobile.restApi;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class HttpCallHandler {

    public String executeGetHttp(String urlParam, String[] params){
        InputStream inputStream;
        BufferedReader bufferedReader = null;
        HttpURLConnection urlConnection = null;

        try{
            URL url = new URL(urlParam);
            urlConnection = (HttpURLConnection) url.openConnection();
            urlConnection.setRequestMethod("GET");
            urlConnection.connect();

            int response = urlConnection.getResponseCode();
            if(response != 200){
                System.out.println("Error response");
            }
            inputStream = urlConnection.getInputStream();
            if(inputStream == null){
                System.out.println("Error inputStream");
            }

            bufferedReader = new BufferedReader(new InputStreamReader(urlConnection.getInputStream()));
            StringBuilder stringBuilder = new StringBuilder();
            String line;

            while ((line = bufferedReader.readLine())!=null){
                stringBuilder.append(line);
            }

            return stringBuilder.toString();

        }catch (Exception e){
            e.printStackTrace();
            return null;
        } finally {
            if(urlConnection != null){
                urlConnection.disconnect();
            }
            if(bufferedReader != null){
                try {
                    bufferedReader.close();
                }catch (IOException e){
                    e.printStackTrace();
                }
            }
        }
    }
}
